Support Questions
Find answers, ask questions, and share your expertise

Cannot install CM agent 5.16 on SLES12 SP3 because of missing package python-psycopg2

Solved Go to solution
Highlighted

Cannot install CM agent 5.16 on SLES12 SP3 because of missing package python-psycopg2

When I try to install the CM agent 5.16 on SLES12 SP3 I get following error:

 

m4dn136:~ # zypper install cloudera-manager-daemons cloudera-manager-agent
Loading repository data...
Reading installed packages...
'cloudera-manager-daemons' is already installed.
No update candidate for 'cloudera-manager-daemons-5.16.1-1.cm5161.p0.1.sles12.x86_64'. The highest available version is already installed.
Resolving package dependencies...

Problem: nothing provides python-psycopg2 needed by cloudera-manager-agent-5.16.1-1.cm5161.p0.1.sles12.x86_64
 Solution 1: do not install cloudera-manager-agent-5.16.1-1.cm5161.p0.1.sles12.x86_64
 Solution 2: break cloudera-manager-agent-5.16.1-1.cm5161.p0.1.sles12.x86_64 by ignoring some of its dependencies

This package is not part of the SLES12 SP3 distribution. Where can I get it?

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: Cannot install CM agent 5.16 on SLES12 SP3 because of missing package python-psycopg2

5 REPLIES 5
Highlighted

Re: Cannot install CM agent 5.16 on SLES12 SP3 because of missing package python-psycopg2

Highlighted

Re: Cannot install CM agent 5.16 on SLES12 SP3 because of missing package python-psycopg2

New Contributor

I tried downloading from

http://download.opensuse.org/repositories/Cloud:/OpenStack:/Upstream:/Queens:/SLE_12_SP3/SLE_12_SP3/...

and installed by rpm, but still having problem....

Highlighted

Re: Cannot install CM agent 5.16 on SLES12 SP3 because of missing package python-psycopg2

Expert Contributor

Try downloading  these repos to all the hosts you will install CM on.  One of them has psycopg2, off hand I don't remember which one.  

{code}

zypper addrepo https://download.opensuse.org/repositories/server:database:postgresql/openSUSE_Tumbleweed/server:dat...

zypper addrepo http://download.opensuse.org/repositories/devel:/languages:/python/openSUSE_Tumbleweed/devel:languag...

 

zypper refresh
        MUST ANSWER ' a ' TO ALWAYS TRUST KEY QUESTION
zypper clean --all

{code}

 

If an older repo exists, remove it first.

 

Then try your install again.

 

https://www.cloudera.com/documentation/enterprise/release-notes/topics/cm_rn_known_issues.html#sles_...

Highlighted

Re: Cannot install CM agent 5.16 on SLES12 SP3 because of missing package python-psycopg2

New Contributor

Worked!!! perfect!!!!!

 

thank you so much!!!!

Re: Cannot install CM agent 5.16 on SLES12 SP3 because of missing package python-psycopg2

Expert Contributor

Great!!   Glad to hear it!!

Don't have an account?